﻿<div id="lookup-emp" class="modal fade" data-backdrop="static">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <span class="close" data-dismiss="modal">&times;</span>
                Select Employee
            </div>
            <div class="modal-body">
                <table id="table-lookup-emp" class="table table-striped table-bordered" style="width: 100%"></table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><i class="glyphicon glyphicon-remove"></i> Close</button>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    var lookupemp = {
                dt: null,
                init: function () {
                    dt = $("#table-lookup-emp").DataTable({
                        serverSide: true,
                        processing: true,
                        scrollX: true,
                        ajax: {
                            url: "@Url.Action("Get","Employees")"
                        },
                        aaSorting: [[1, 'asc']],
                        columns: [
                            {
                                data: 'EmployeeID', render: function () {
                                    return '<a href="javascript:" onclick="selectEmp(this)"><i class="glyphicon glyphicon-ok"></i></a>';
                                },
                                sortable: false
                            },
                            { title: 'Employee ID', data: 'EmployeeID' },
                            { title: 'LastName', data: 'LastName' },
                            { title: 'FirstName', data: 'FirstName' },
                            { title: 'Title', data: 'Title' },
                            { title: 'City', data: 'City' },
                            { title: 'Country', data: 'Country' }
                        ],
                        lengthMenu: [[5, 10, 25, 50, 100], [5, 10, 25, 50, 100]]
                    });

                },
                refresh: function () {
                    dt.ajax.reload();
                }
    };

    lookupemp.init();

    function lookupEmployee() {
        $("#lookup-emp").modal();
    }

    function selectEmp(e) {
        var tr = $(e).parent().parent();
        $("#Order_EmployeeID").val(tr.children("td:eq(1)").html());
        $("#Employee_FirstName").val(tr.children("td:eq(3)").html() + " " + tr.children("td:eq(2)").html());
        $("#lookup-emp").modal('hide');
    }
</script>

